///
/// Code generated by jsonToDartModel https://ashamp.github.io/jsonToDartModel/
///
class SeedingDiaryStep4 {
/*
{
  "key": "STEP_4_1",
  "value": "string"
}
*/

  String? key;
  String? value;

  SeedingDiaryStep4({
    this.key,
    this.value,
  });
  SeedingDiaryStep4.fromJson(Map<String, dynamic> json) {
    key = json['key']?.toString();
    value = json['value']?.toString();
  }
  Map<String, dynamic> toJson() {
    final data = <String, dynamic>{};
    data['key'] = key;
    data['value'] = value;
    return data;
  }
}

class SeedingDiaryStep3 {
/*
{
  "key": "STEP_3_1",
  "value": "string"
}
*/

  String? key;
  String? value;

  SeedingDiaryStep3({
    this.key,
    this.value,
  });
  SeedingDiaryStep3.fromJson(Map<String, dynamic> json) {
    key = json['key']?.toString();
    value = json['value']?.toString();
  }
  Map<String, dynamic> toJson() {
    final data = <String, dynamic>{};
    data['key'] = key;
    data['value'] = value;
    return data;
  }
}

class SeedingDiaryStep2 {
/*
{
  "key": "STEP_2_1",
  "value": "string"
}
*/

  String? key;
  String? value;

  SeedingDiaryStep2({
    this.key,
    this.value,
  });
  SeedingDiaryStep2.fromJson(Map<String, dynamic> json) {
    key = json['key']?.toString();
    value = json['value']?.toString();
  }
  Map<String, dynamic> toJson() {
    final data = <String, dynamic>{};
    data['key'] = key;
    data['value'] = value;
    return data;
  }
}

class SeedingDiaryStep1 {
/*
{
  "key": "STEP_1",
  "value": "string"
}
*/

  String? key;
  String? value;

  SeedingDiaryStep1({
    this.key,
    this.value,
  });
  SeedingDiaryStep1.fromJson(Map<String, dynamic> json) {
    key = json['key']?.toString();
    value = json['value']?.toString();
  }
  Map<String, dynamic> toJson() {
    final data = <String, dynamic>{};
    data['key'] = key;
    data['value'] = value;
    return data;
  }
}

class SeedingDiary {
/*
{
  "goalsId": 1,
  "steps": [
    1
  ],
  "step1": [
    {
      "key": "STEP_1",
      "value": "string"
    }
  ],
  "step2": [
    {
      "key": "STEP_2_1",
      "value": "string"
    }
  ],
  "step3": [
    {
      "key": "STEP_3_1",
      "value": "string"
    }
  ],
  "step4": [
    {
      "key": "STEP_4_1",
      "value": "string"
    }
  ]
}
*/

  int? goalsId;
  List<int>? steps;
  List<SeedingDiaryStep1>? step1;
  List<SeedingDiaryStep2>? step2;
  List<SeedingDiaryStep3>? step3;
  List<SeedingDiaryStep4>? step4;

  SeedingDiary({
    this.goalsId,
    this.steps,
    this.step1,
    this.step2,
    this.step3,
    this.step4,
  });
  SeedingDiary.fromJson(Map<String, dynamic> json) {
    goalsId = json['goalsId']?.toInt();
    if (json['steps'] != null) {
      final v = json['steps'];
      final arr0 = <int>[];
      v.forEach((v) {
        arr0.add(v.toInt());
      });
      steps = arr0;
    }
    if (json['step1'] != null) {
      final v = json['step1'];
      final arr0 = <SeedingDiaryStep1>[];
      v.forEach((v) {
        arr0.add(SeedingDiaryStep1.fromJson(v));
      });
      step1 = arr0;
    }
    if (json['step2'] != null) {
      final v = json['step2'];
      final arr0 = <SeedingDiaryStep2>[];
      v.forEach((v) {
        arr0.add(SeedingDiaryStep2.fromJson(v));
      });
      step2 = arr0;
    }
    if (json['step3'] != null) {
      final v = json['step3'];
      final arr0 = <SeedingDiaryStep3>[];
      v.forEach((v) {
        arr0.add(SeedingDiaryStep3.fromJson(v));
      });
      step3 = arr0;
    }
    if (json['step4'] != null) {
      final v = json['step4'];
      final arr0 = <SeedingDiaryStep4>[];
      v.forEach((v) {
        arr0.add(SeedingDiaryStep4.fromJson(v));
      });
      step4 = arr0;
    }
  }
  Map<String, dynamic> toJson() {
    final data = <String, dynamic>{};
    data['goalsId'] = goalsId;
    if (steps != null) {
      final v = steps;
      final arr0 = [];
      v!.forEach((v) {
        arr0.add(v);
      });
      data['steps'] = arr0;
    }
    if (step1 != null) {
      final v = step1;
      final arr0 = [];
      v!.forEach((v) {
        arr0.add(v.toJson());
      });
      data['step1'] = arr0;
    }
    if (step2 != null) {
      final v = step2;
      final arr0 = [];
      v!.forEach((v) {
        arr0.add(v.toJson());
      });
      data['step2'] = arr0;
    }
    if (step3 != null) {
      final v = step3;
      final arr0 = [];
      v!.forEach((v) {
        arr0.add(v.toJson());
      });
      data['step3'] = arr0;
    }
    if (step4 != null) {
      final v = step4;
      final arr0 = [];
      v!.forEach((v) {
        arr0.add(v.toJson());
      });
      data['step4'] = arr0;
    }
    return data;
  }
}
